package com.yida.data.server.service;

import com.yida.data.server.dto._810ADeviceStaticDTO;
import com.yida.data.server.dto._810ALocationDTO;
import com.yida.data.server.dto._810ALowBatDTO;
import com.yida.data.server.dto._810ARiskAreaDTO;
import com.yida.data.server.dto._810AStepDTO;
import com.yida.data.server.vo._810AResVO;

public interface _810ADataService {

    /**
     * 处理带定位数据定位推送
     */
    _810AResVO dealLocation(_810ALocationDTO dto);


    _810AResVO riskArea(_810ARiskAreaDTO dto);

    /**
     * 步数推送
     */
    _810AResVO stepPush(_810AStepDTO dto);

    /**
     * 低电量
     */
    _810AResVO lowBat(_810ALowBatDTO dto);

    /**
     * 设备脱落
     */
    _810AResVO deviceStatic(_810ADeviceStaticDTO dto);
}
